<div id="regions">
	<?
		$title = "";

		if ( is_array($this->params['filter']) ) {
			foreach ($this->params['filter'] as $v) {
				if ( array_search('boys', $v) )
					$title = $this->t('boys');
				else if ( array_search('trans', $v) )
					$title = $this->t('trans');
				else if ( array_search('agence', $v) )
					$title = $this->t('agency_girls');
				else if ( array_search('independantes', $v) )
					$title = $this->t('independent_girls');
			}
		}

		if ( $this->params['sort'] == 'newest' )
			$title = $this->t('new_arrivals');
	?>

	<? if ( $title != "" ): ?>
	<? /* <h3><?= $title ?>:</h3> */ ?>
	<? endif; ?>

	<h3>Choisisez votre région:</h3>

	<?= $this->render('regions.phtml') ?>

	<div class="clear"></div>

	<script type="text/javascript" src="<?= _st('Autocompleter.js') ?>"></script>
	<script type="text/javascript">
		/*window.addEvent('domready', function () {
			var input = $('txt_city-search');

			// Our instance for the element with id "demo-word"
			new Autocompleter.Request.JSON(input, '/geography/ajax-cities-search-arr', {
				postVar: 'city_search_name',
				indicatorClass: 'autocompleter-loading'
			}).addEvent('onSelection', function (element, selected, value, input) {
				element.getPrevious('input[type=hidden]').set('value', selected.inputValue.slug);
			});
		});

		var citySearch = function (form) {
			var city = form.getElement('input[type=hidden]').get('value');

			if ( ! city.length ) {
				return false;
			}

			form.set('action', form.get('action') + city);
			return true;
		};*/
	</script>
	<script type="text/javascript">
		window.addEvent('domready', function () {
			var input = $('txt_city-search');

			new Autocompleter.Local(input, <?= $this->all_cities ?>, {
				'minLength': 1,
				postVar: 'city_search_name',
				indicatorClass: 'autocompleter-loading'

			}).addEvent('onSelection', function (element, selected, value, input) {
				
				element.getParent().getElement('#s_slug').set('value', selected.inputValue.slug);
				element.getParent().getElement('#s_type').set('value', selected.inputValue.type);
			});
		});

		var doSearch = function (form) {
			var slug = form.getElement('#s_slug').get('value');
			var type = form.getElement('#s_type').get('value');

			var action = '';
			if ( type == 'city' ) {
				action = '<?= $this->getLink('escorts', array('city' => Cubix_Application::getById()->iso . '_', 'filter' => null, 'page' => null)) ?>' + slug;
			} else {
				action = '<?= $this->getLink('escorts', array('state' => Cubix_Application::getById()->iso . '_', 'filter' => null, 'page' => null)) ?>' + slug;
			}

			if ( ! slug.length ) {
				return false;
			}

			form.set('action', action);
			return true;
		};
	</script>

        
	<div class="search">
		<form action="" method="get" onsubmit="return doSearch($(this))">
			<input type="hidden" id="s_type" value="" />
			<input type="hidden" id="s_slug" value="" />
			<div class="label">Rechercher votre ville:</div>
			<input type="text" id="txt_city-search" name="city" value="" />
			<button type="submit">Search</button>

			<div class="clear"></div>
		</form>
	</div>

	<? /*$this->render('most-cities.phtml')*/ ?>

	<?= $this->render('total-count.phtml') ?>

	<div class="clear"></div>
</div>